<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: skpacman NeoBlog theme
| Based on a Design from http://www.templatemo.com
| Filename: theme.php
| Author: skpacman Studio
| Version: v1.00
| Developers: skpacman
| Site: http://www.skpacman.com
+--------------------------------------------------------+
| Login Header by Fangree_Craig
| Modified to fit the theme by skpacman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

//if not called from php-fusion, kick you out
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

//add theme functions
require_once INCLUDES."theme_functions_include.php";

//define the bullet and other images...
define("THEME_BULLET", "<img src='".THEME."images/bullet.png' alt='' style='vertical-align:middle; border: 0px;'/>");
set_image("up", THEME."images/up.gif");
set_image("down", THEME."images/down.gif");
set_image("left", THEME."images/left.gif");
set_image("right", THEME."images/right.gif");
set_image("newthread", THEME."forum/newthread.png");
set_image("reply", THEME."forum/reply.png");
set_image("forum_edit", THEME."forum/edit.png");
set_image("quote", THEME."forum/quote.png");
set_image("pm", THEME."forum/pm.png");
set_image("web", THEME."forum/web.png");
set_image("email", THEME."forum/email.png");
set_image("profile", THEME."forum/profile.png");
set_image("folder", THEME."forum/folder.png");
set_image("folderhot", THEME."forum/folderhot.png");
set_image("folderlock", THEME."forum/folderlock.png");
set_image("foldernew", THEME."forum/foldernew.png");
set_image("stickythread", THEME."forum/stickythread.png");

// Render Page
function render_page($license=false) {
	global $settings, $locale, $main_style, $mysql_queries_time, $aidlink;
echo"
<div id='templatemo_top_wrapper'>
	<div id='templatemo_top'>";

//SIMPLE LOGIN HEADER BY Fangree_Craig
//MODIFIED TO FIT NeoBlog THEME BY skpacman
include THEME."includes/login.php";
//END SIMPLE LOGIN HEADER

		echo "<ul id='search_box'>
			<li><form action='".BASEDIR."search.php' method='get'>\n";
			echo "<input type='image' style='vertical-align: bottom;' name='search' src='".THEME."images/search.png' />";
			echo "<input type='text' class='search' name='stext' />&nbsp;";
			echo "</form>\n</li>
		</ul>
    </div>
</div>
<div id='templatemo_header_wrapper'>
	<div id='templatemo_header'>
    	<div id='site_title'>";
echo "<table style='table-layout:fixed;overflow:hidden;' width='940' cellpadding='0' cellspacing='0' border='0'>
<tr>
	<td width='470' rowspan='2'><a href='".$settings['siteurl']."'><img style='max-width:470px;' src='../../".$settings['sitebanner']."' alt='logo' /></a></td>
	<td class='banner' height='62'>";
	if ($settings['sitebanner1']) {
		eval("?>".stripslashes($settings['sitebanner1'])."<?php ");
	}
echo "</td>
</tr><tr>
	<td class='banner' height='63'>";
	if ($settings['sitebanner2']) {
		eval("?>".stripslashes($settings['sitebanner2'])."<?php ");
	}
echo "</td>
</tr>
</table>";
echo "        </div> <!-- end of site_title -->
    </div>
</div> <!-- end of templatemo_header -->
<div id='templatemo_menu_wrapper'>
	<div id='templatemo_menu'>
		".showsublinks(" ")."
	</div> 
	<!-- end of templatemo_menu -->
</div>
<div id='templatemo_middle_wrapper_outer'>
<div id='templatemo_middle_wrapper_inner'>
	<div id='templatemo_middle_top'></div>
	<div id='templatemo_middle'>";
		if (LEFT) {
		echo "<div id='templatmeo_sidebar_left'>
		<div class='sidebar_box_left'>
		".LEFT."
		</div>
		<div class='cleaner'></div>
		</div>";}

			if(!LEFT && RIGHT){
				echo "<div id='templatemo_content_noside'>
				".U_CENTER.CONTENT.L_CENTER."
				<div class='cleaner'></div>
				</div>";			
			}
			
			if(!RIGHT && LEFT){
				echo "<div id='templatemo_content_noside'>
				".U_CENTER.CONTENT.L_CENTER."
				<div class='cleaner'></div>
				</div>";	
			}
			
			if(!LEFT && !RIGHT){
				echo "<div id='templatemo_content_noboth'>
				".U_CENTER.CONTENT.L_CENTER."
				<div class='cleaner'></div>
				</div>";	
			}
			
			if(LEFT && RIGHT){
				echo "<div id='templatemo_content'>
				".U_CENTER.CONTENT.L_CENTER."
				<div class='cleaner'></div>
				</div>";			
			}

		if (RIGHT) {
        echo "<div id='templatmeo_sidebar_right'>
        	<div class='sidebar_box_right'>
			".RIGHT."
            </div>
        <div class='cleaner'></div>
        </div>";}
		
    	echo "<div class='cleaner'></div>
    </div> <!-- end of templatemo_middle -->
    <div id='templatemo_middle_bottom'></div>
	<div id='templatemo_footer'>
	
	<!-- FOOTER - YOU CAN ADD ANYTHING YOU WANT HERE...  -->
	
	
		<div class='cleaner'></div>
    </div> <!-- end of footer -->
</div>
</div>

<div id='templatemo_copyright_wrapper'>
    <div id='templatemo_copyright'>";
    
	echo "<div id='footer' class='".$main_style."'>\n";
	echo "<div id='copyright-site'>".stripslashes($settings['footer'])."</div>\n";
	if (!$license) { echo "<div id='copyright-fusion'>".showcopyright()."</div>\n"; }
	//Keep this copyright intact please.
		//If the copyright is removed, you won't get support and your site will be reported.
	echo "NeoBlog theme by <a href='http://www.skpacman.com'>skpacman</a><br />
	Original css template by <a href='http://templatemo.com'>Templatemo.com</a></div>\n";
	echo showrendertime();
   
echo "</div>
</div>	
";
}

/* New in v7.02 - render comments */
function render_comments($c_data, $c_info){
	global $locale, $settings;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comment_form'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
	        $comm_count = "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
			echo "<div class='tbl2 clearfix floatfix'>\n";
			if ($settings['comments_avatar'] == "1") { echo "<span class='comment-avatar'>".$data['user_avatar']."</span>\n"; }
	        echo "<span style='float:right' class='comment_actions'>".$comm_count."\n</span>\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n<br />\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			if ($data['edit_dell'] !== false) { echo "<br />\n<span class='comment_actions'>".$data['edit_dell']."\n</span>\n"; }
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}
	
//Render News
function render_news($subject, $news, $info) {
	global $locale, $settings, $aidlink;
	$image = $info['cat_image'];
	$calendar = "<img src='".THEME."images/calendar.png' alt='date' />";
	$timestamp = showdate("%m-%d-%Y %H:%M", $info['news_date']);
	$usericon = "<img src='".THEME."images/user.png' alt='user' />";
	$newsicon = "<img src='".THEME."images/news.png' alt='reads' />";
	echo "<a name='news_".$info['news_id']."' id='news_".$info['news_id']."'></a>\n";
	echo "<div class='content_box'>";
			echo "<div class='image_wrapper image_fl'>".$image."</div><div style='float:right;display:inline;'>";
			echo "<a href='".BASEDIR."print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".THEME."images/print.gif' border='0' alt='printer' /></a>\n";
	            if (iADMIN && checkrights("N")) {
                echo " <a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$info['news_id']."'>
				<img src='".THEME."images/edit.png' alt='".$locale['global_076']."' title='".$locale['global_076']."' border='0' /></a>\n";
	            }
			echo "</div>
			<span class='title'><a href='".BASEDIR."news.php?readmore=".$info['news_id']."'>".$info['news_subject']."</a></span><br />\n";
			if ($info['news_ext'] == 'y'){
				echo "<a href='".BASEDIR."news.php?readmore=".$info['news_id']."' class='button' style='float:right;'>Read More</a>";
			}
			echo "<table border='0' cellpadding='1' cellspacing='15'>
					<tr><td>
					".profile_link($info['user_id'], $usericon."<br />".$info['user_name'], $info['user_status'])."</td>
					<td><a href='".BASEDIR."news.php?readmore=".$info['news_id']."'>".$newsicon."<br />
					".$info['news_reads']." reads</a></td>
					<td>".$calendar."<br />".$timestamp."</td></tr></table>";

			echo" <hr />
                <p align='justify'>".$news."</p>
              <div class='cleaner_h20'></div>";
			  if ($info['news_allow_comments'] == '1'){
			  echo "<a href='".BASEDIR."news.php?readmore=".$info['news_id']."' class='btn_more'>".$info['news_comments']." comments</a>";
			  }
            echo "</div>";
}

//Render Article
function render_article($subject, $article, $info) {
global $locale;
opentable($subject);
echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."<hr />
<div class='floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
closetable();
}
	
//Opentable function
function opentable($title) { 
echo "<div class='content_box'>";
}

//Closetable function
function closetable() {
echo "</div>";
}

//Openside function
function openside($title, $collapse = false, $state = "on") {
global $panel_collapse; $panel_collapse = $collapse;
echo "<div class='content_box'><b>".$title."</b>";
if ($collapse == false){
echo "<br />";
}
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "&nbsp;&nbsp;&nbsp;".panelbutton($state, $boxname)."<br />\n";
	}
	if ($collapse == true) { echo panelstate($state, $boxname)."<br />\n"; }
}

//Closeside Function
function closeside($collapse = false) {
global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }
echo "</div>";
}

?>